using Avalonia;
using Avalonia.Controls;

namespace InABox.Avalonia.Components;

public partial class AvaloniaMenuPanel : UserControl
{
    public static readonly StyledProperty<AvaloniaMenuItemCollection> ItemsProperty =
        AvaloniaProperty.Register<AvaloniaMenuPanel, AvaloniaMenuItemCollection>(nameof(Items));

    public AvaloniaMenuPanel()
    {
        InitializeComponent();
    }

    public AvaloniaMenuItemCollection Items
    {
        get => GetValue(ItemsProperty);
        set => SetValue(ItemsProperty, value);
    }
}